Bug 200475 - [exp-run] with the "CC" alias removed (see Phabricator review D1932)
Summary: [exp-run] with the "CC" alias removed (see Phabricator review D1932)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dimitry Andric
URL:
Keywords:
Depends on: 200522 200523 200524 200525 200527
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-26 20:22 UTC by Dimitry Andric
Modified: 2015-05-29 21:52 UTC (History)
3 users (show)

See Also:
dim: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2015-05-26 20:22:04 UTC
Please perform an exp-run with the patch from https://reviews.freebsd.org/D1932 applied.  This patch removes the "CC" alias for "c++".

I know that at least CMake seems to prefer "CC" over "c++", but if the former does not exist at all, it should choose the latter instead.  There may be other programs that change their configure or build behavior due to this change.
Comment 1 Antoine Brodin freebsd_committer 2015-05-27 13:32:21 UTC
Take for exp-run
Comment 2 Antoine Brodin freebsd_committer 2015-05-28 21:53:49 UTC
Exp-run results:

http://package23.nyi.freebsd.org/jail.html?mastername=headi386PR200475-default
http://package22.nyi.freebsd.org/jail.html?mastername=headamd64PR200475-default

5 new failures:

+ {"origin"=>"converters/tuc", "pkgname"=>"tuc-1.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/rapid", "pkgname"=>"rapid-2.01", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/felis", "pkgname"=>"felis-1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/pfbtopfa", "pkgname"=>"pfbtopfa-1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/kenlm", "pkgname"=>"kenlm-20140830", "phase"=>"build", "errortype"=>"???"}

Failure logs:

http://package22.nyi.freebsd.org/data/headamd64PR200475-default/2015-05-28_21h16m37s/logs/errors/tuc-1.10.log
http://package22.nyi.freebsd.org/data/headamd64PR200475-default/2015-05-28_21h16m37s/logs/errors/rapid-2.01.log
http://package22.nyi.freebsd.org/data/headamd64PR200475-default/2015-05-28_21h16m37s/logs/errors/felis-1.0.log
http://package22.nyi.freebsd.org/data/headamd64PR200475-default/2015-05-28_21h16m37s/logs/errors/pfbtopfa-1.0.log
http://package22.nyi.freebsd.org/data/headamd64PR200475-default/2015-05-28_21h16m37s/logs/errors/kenlm-20140830.log

For converters/tuc, misc/felis and print/pfbtopfa,  CC is used where it seems ${CC} is wanted.

math/rapid and textproc/kenlm may be able to use ${CXX} instead of CC
Comment 3 Dimitry Andric freebsd_committer 2015-05-29 20:53:06 UTC
Submitted bug 200522 for converters/tuc.
Comment 4 Dimitry Andric freebsd_committer 2015-05-29 20:56:51 UTC
Submitted bug 200523 for misc/felis.
Comment 5 Dimitry Andric freebsd_committer 2015-05-29 21:00:10 UTC
Submitted bug 200524 for print/pfbtopfa.
Comment 6 Dimitry Andric freebsd_committer 2015-05-29 21:05:17 UTC
Submitted bug 200525 for math/rapid.
Comment 7 Dimitry Andric freebsd_committer 2015-05-29 21:17:30 UTC
Submitted bug 200527 for textproc/kenlm.
Comment 8 commit-hook freebsd_committer 2015-05-29 21:20:36 UTC
A commit references this bug:

Author: dim
Date: Fri May 29 21:19:56 UTC 2015
New revision: 387891
URL: https://svnweb.freebsd.org/changeset/ports/387891

Log:
  In PR200475, it turned out math/rapid is using "CC" to compile C++
  files. Make it use ${CXX} instead.

  Approved by:	jwbacon@tds.net (maintainer)
  PR:		200475, 200525

Changes:
  head/math/rapid/files/patch-Makefile
Comment 9 commit-hook freebsd_committer 2015-05-29 21:33:41 UTC
A commit references this bug:

Author: dim
Date: Fri May 29 21:32:44 UTC 2015
New revision: 387893
URL: https://svnweb.freebsd.org/changeset/ports/387893

Log:
  In PR200475, it turned out textproc/kenlm is using "CC" to do a sanity
  check at bootstrap time.  Make it use ${CXX} instead.

  Approved by:	demon (maintainer)
  PR:		200475, 200527

Changes:
  head/textproc/kenlm/files/patch-jam-files-sanity.jam
Comment 10 Dimitry Andric freebsd_committer 2015-05-29 21:52:17 UTC
Closing this bug now, as all sub-bugs have been fixed.  Now /usr/bin/CC is no longer necessary! :-)